declare
  c_id          number(16);
  c_name        varchar2(64);
  c_value       varchar2(128);
  c_desc        varchar2(512);
  c_user        varchar2(128) := 'IGI V5.2.4';
  
  counter       number(16);
  
begin

  c_name        := 'ACCOUNT_AUTOMATIC_MATCH';
  c_value       := '1';
  c_desc        := '';

  select count(1) into counter from configuration t where lower ( t.name ) = lower ( c_name );
  if ( counter = 0 ) then
    select configuration_seq.nextval into c_id from dual;
    insert into configuration ( id, name, value, description, last_mod_user )
    values ( c_id, c_name, c_value, c_desc, c_user );
  end if;

end;
/
commit;