declare
  cfg_ent_disp_id	 numeric(16);
  
  detail_id      	 numeric(16);
  detail_name      	 varchar(256);
  detail_status   	 numeric(1);

  counter            numeric(16);

begin
	--- USER ENTITY SECTION
    select count(1) into counter from cfg_display_entity cde where cde.name = 'USER';
    if ( counter = 1) then
    	select id into cfg_ent_disp_id from cfg_display_entity cde where cde.name = 'USER';
    	
    	detail_name  := 'DETAILS';
   		detail_status := 1;
   		select count(1) into counter from cfg_display_entity_details cdedetail where cdedetail.cfg_display_entity = cfg_ent_disp_id and cdedetail.name = detail_name;
    	if ( counter = 0) then
   		  select cfg_display_entity_details_seq.nextval into detail_id from dual;
    
          insert into cfg_display_entity_details (id, cfg_display_entity, name, status)
   	 	  values (detail_id, cfg_ent_disp_id, detail_name, detail_status);
   	 	end if;
   	 	
   	 	detail_name  := 'ADDITIONAL_DETAILS';
   		detail_status := 1;
   		select count(1) into counter from cfg_display_entity_details cdedetail where cdedetail.cfg_display_entity = cfg_ent_disp_id and cdedetail.name = detail_name;
    	if ( counter = 0) then
   		  select cfg_display_entity_details_seq.nextval into detail_id from dual;
    
          insert into cfg_display_entity_details (id, cfg_display_entity, name, status)
   	 	  values (detail_id, cfg_ent_disp_id, detail_name, detail_status);
   	 	end if;
   	 	
   	 	detail_name  := 'ENTITLEMENTS';
   		detail_status := 1;
   		select count(1) into counter from cfg_display_entity_details cdedetail where cdedetail.cfg_display_entity = cfg_ent_disp_id and cdedetail.name = detail_name;
    	if ( counter = 0) then
   		  select cfg_display_entity_details_seq.nextval into detail_id from dual;
    
          insert into cfg_display_entity_details (id, cfg_display_entity, name, status)
   	 	  values (detail_id, cfg_ent_disp_id, detail_name, detail_status);
   	 	end if;
   	 	
   	 	detail_name  := 'ACCOUNTS';
   		detail_status := 1;
   		select count(1) into counter from cfg_display_entity_details cdedetail where cdedetail.cfg_display_entity = cfg_ent_disp_id and cdedetail.name = detail_name;
    	if ( counter = 0) then
   		  select cfg_display_entity_details_seq.nextval into detail_id from dual;
    
          insert into cfg_display_entity_details (id, cfg_display_entity, name, status)
   	 	  values (detail_id, cfg_ent_disp_id, detail_name, detail_status);
   	 	end if;
   	 	
   	 	detail_name  := 'ACTIVITIES';
   		detail_status := 1;
   		select count(1) into counter from cfg_display_entity_details cdedetail where cdedetail.cfg_display_entity = cfg_ent_disp_id and cdedetail.name = detail_name;
    	if ( counter = 0) then
   		  select cfg_display_entity_details_seq.nextval into detail_id from dual;
    
          insert into cfg_display_entity_details (id, cfg_display_entity, name, status)
   	 	  values (detail_id, cfg_ent_disp_id, detail_name, detail_status);
   	 	end if;
   	 	
   	 	detail_name  := 'RIGHTS';
   		detail_status := 1;
   		select count(1) into counter from cfg_display_entity_details cdedetail where cdedetail.cfg_display_entity = cfg_ent_disp_id and cdedetail.name = detail_name;
    	if ( counter = 0) then
   		  select cfg_display_entity_details_seq.nextval into detail_id from dual;
    
          insert into cfg_display_entity_details (id, cfg_display_entity, name, status)
   	 	  values (detail_id, cfg_ent_disp_id, detail_name, detail_status);
   	 	end if;
   	 	
   	 	
   	end if;
   	
   	--- ENTITLEMENT ENTITY SECTION
   	select count(1) into counter from cfg_display_entity cde where cde.name = 'ENTITLEMENT';
    if ( counter = 1) then
    	select id into cfg_ent_disp_id from cfg_display_entity cde where cde.name = 'ENTITLEMENT';
    	
    	detail_name  := 'DETAILS';
   		detail_status := 1;
   		select count(1) into counter from cfg_display_entity_details cdedetail where cdedetail.cfg_display_entity = cfg_ent_disp_id and cdedetail.name = detail_name;
    	if ( counter = 0) then
   		  select cfg_display_entity_details_seq.nextval into detail_id from dual;
    
          insert into cfg_display_entity_details (id, cfg_display_entity, name, status)
   	 	  values (detail_id, cfg_ent_disp_id, detail_name, detail_status);
   	 	end if;
   	 	
   	 	detail_name  := 'STRUCTURE';
   		detail_status := 1;
   		select count(1) into counter from cfg_display_entity_details cdedetail where cdedetail.cfg_display_entity = cfg_ent_disp_id and cdedetail.name = detail_name;
    	if ( counter = 0) then
   		  select cfg_display_entity_details_seq.nextval into detail_id from dual;
    
          insert into cfg_display_entity_details (id, cfg_display_entity, name, status)
   	 	  values (detail_id, cfg_ent_disp_id, detail_name, detail_status);
   	 	end if;
   	 	
   	 	detail_name  := 'ACTIVITIES';
   		detail_status := 1;
   		select count(1) into counter from cfg_display_entity_details cdedetail where cdedetail.cfg_display_entity = cfg_ent_disp_id and cdedetail.name = detail_name;
    	if ( counter = 0) then
   		  select cfg_display_entity_details_seq.nextval into detail_id from dual;
    
          insert into cfg_display_entity_details (id, cfg_display_entity, name, status)
   	 	  values (detail_id, cfg_ent_disp_id, detail_name, detail_status);
   	 	end if;
   	 	
   	 	detail_name  := 'PROPERTIES';
   		detail_status := 1;
   		select count(1) into counter from cfg_display_entity_details cdedetail where cdedetail.cfg_display_entity = cfg_ent_disp_id and cdedetail.name = detail_name;
    	if ( counter = 0) then
   		  select cfg_display_entity_details_seq.nextval into detail_id from dual;
    
          insert into cfg_display_entity_details (id, cfg_display_entity, name, status)
   	 	  values (detail_id, cfg_ent_disp_id, detail_name, detail_status);
   	 	end if;
   	 	
   	 	detail_name  := 'USERS';
   		detail_status := 1;
   		select count(1) into counter from cfg_display_entity_details cdedetail where cdedetail.cfg_display_entity = cfg_ent_disp_id and cdedetail.name = detail_name;
    	if ( counter = 0) then
   		  select cfg_display_entity_details_seq.nextval into detail_id from dual;
    
          insert into cfg_display_entity_details (id, cfg_display_entity, name, status)
   	 	  values (detail_id, cfg_ent_disp_id, detail_name, detail_status);
   	 	end if;
   	 	
   	 	detail_name  := 'ORGANIZATIONAL_UNIT';
   		detail_status := 1;
   		select count(1) into counter from cfg_display_entity_details cdedetail where cdedetail.cfg_display_entity = cfg_ent_disp_id and cdedetail.name = detail_name;
    	if ( counter = 0) then
   		  select cfg_display_entity_details_seq.nextval into detail_id from dual;
    
          insert into cfg_display_entity_details (id, cfg_display_entity, name, status)
   	 	  values (detail_id, cfg_ent_disp_id, detail_name, detail_status);
   	 	end if;
   	 	
   	 	detail_name  := 'ROLE_DEPENDENCIES';
   		detail_status := 1;
   		select count(1) into counter from cfg_display_entity_details cdedetail where cdedetail.cfg_display_entity = cfg_ent_disp_id and cdedetail.name = detail_name;
    	if ( counter = 0) then
   		  select cfg_display_entity_details_seq.nextval into detail_id from dual;
    
          insert into cfg_display_entity_details (id, cfg_display_entity, name, status)
   	 	  values (detail_id, cfg_ent_disp_id, detail_name, detail_status);
   	 	end if;
   	 	
   	 	detail_name  := 'HIERARCHY_DETAILS';
   		detail_status := 1;
   		select count(1) into counter from cfg_display_entity_details cdedetail where cdedetail.cfg_display_entity = cfg_ent_disp_id and cdedetail.name = detail_name;
    	if ( counter = 0) then
   		  select cfg_display_entity_details_seq.nextval into detail_id from dual;
    
          insert into cfg_display_entity_details (id, cfg_display_entity, name, status)
   	 	  values (detail_id, cfg_ent_disp_id, detail_name, detail_status);
   	 	end if;
   	 	
   	 	detail_name  := 'APPLICATION_DETAILS';
   		detail_status := 1;
   		select count(1) into counter from cfg_display_entity_details cdedetail where cdedetail.cfg_display_entity = cfg_ent_disp_id and cdedetail.name = detail_name;
    	if ( counter = 0) then
   		  select cfg_display_entity_details_seq.nextval into detail_id from dual;
    
          insert into cfg_display_entity_details (id, cfg_display_entity, name, status)
   	 	  values (detail_id, cfg_ent_disp_id, detail_name, detail_status);
   	 	end if;   
   	 	
   	 	detail_name  := 'ATTRIBUTES_HIERARCHY_RESOURCES';
   		detail_status := 1;
   		select count(1) into counter from cfg_display_entity_details cdedetail where cdedetail.cfg_display_entity = cfg_ent_disp_id and cdedetail.name = detail_name;
    	if ( counter = 0) then
   		  select cfg_display_entity_details_seq.nextval into detail_id from dual;
    
          insert into cfg_display_entity_details (id, cfg_display_entity, name, status)
   	 	  values (detail_id, cfg_ent_disp_id, detail_name, detail_status);
   	 	end if; 
   	 	
   	 	detail_name  := 'ORGANIZATIONAL_UNIT_RESOURCES';
   		detail_status := 1;
   		select count(1) into counter from cfg_display_entity_details cdedetail where cdedetail.cfg_display_entity = cfg_ent_disp_id and cdedetail.name = detail_name;
    	if ( counter = 0) then
   		  select cfg_display_entity_details_seq.nextval into detail_id from dual;
    
          insert into cfg_display_entity_details (id, cfg_display_entity, name, status)
   	 	  values (detail_id, cfg_ent_disp_id, detail_name, detail_status);
   	 	end if; 
   	 	
   	 	detail_name  := 'ENTITLEMENT_RESOURCES';
   		detail_status := 1;
   		select count(1) into counter from cfg_display_entity_details cdedetail where cdedetail.cfg_display_entity = cfg_ent_disp_id and cdedetail.name = detail_name;
    	if ( counter = 0) then
   		  select cfg_display_entity_details_seq.nextval into detail_id from dual;
    
          insert into cfg_display_entity_details (id, cfg_display_entity, name, status)
   	 	  values (detail_id, cfg_ent_disp_id, detail_name, detail_status);
   	 	end if; 
   	 	
   	 	detail_name  := 'RISK_RESOURCES';
   		detail_status := 1;
   		select count(1) into counter from cfg_display_entity_details cdedetail where cdedetail.cfg_display_entity = cfg_ent_disp_id and cdedetail.name = detail_name;
    	if ( counter = 0) then
   		  select cfg_display_entity_details_seq.nextval into detail_id from dual;
    
          insert into cfg_display_entity_details (id, cfg_display_entity, name, status)
   	 	  values (detail_id, cfg_ent_disp_id, detail_name, detail_status);
   	 	end if; 
   	 	
   	 	detail_name  := 'NOTES';
   		detail_status := 1;
   		select count(1) into counter from cfg_display_entity_details cdedetail where cdedetail.cfg_display_entity = cfg_ent_disp_id and cdedetail.name = detail_name;
    	if ( counter = 0) then
   		  select cfg_display_entity_details_seq.nextval into detail_id from dual;
    
          insert into cfg_display_entity_details (id, cfg_display_entity, name, status)
   	 	  values (detail_id, cfg_ent_disp_id, detail_name, detail_status);
   	 	end if; 
   	 	
   	 	detail_name  := 'APPLICATION_RESOURCES';
   		detail_status := 1;
   		select count(1) into counter from cfg_display_entity_details cdedetail where cdedetail.cfg_display_entity = cfg_ent_disp_id and cdedetail.name = detail_name;
    	if ( counter = 0) then
   		  select cfg_display_entity_details_seq.nextval into detail_id from dual;
    
          insert into cfg_display_entity_details (id, cfg_display_entity, name, status)
   	 	  values (detail_id, cfg_ent_disp_id, detail_name, detail_status);
   	 	end if;
   	 	
   	 	detail_name  := 'PERMISSIONS';
   		detail_status := 1;
   		select count(1) into counter from cfg_display_entity_details cdedetail where cdedetail.cfg_display_entity = cfg_ent_disp_id and cdedetail.name = detail_name;
    	if ( counter = 0) then
   		  select cfg_display_entity_details_seq.nextval into detail_id from dual;
    
          insert into cfg_display_entity_details (id, cfg_display_entity, name, status)
   	 	  values (detail_id, cfg_ent_disp_id, detail_name, detail_status);
   	 	end if;
   	 	
   	 	detail_name  := 'RIGHTS';
   		detail_status := 1;
   		select count(1) into counter from cfg_display_entity_details cdedetail where cdedetail.cfg_display_entity = cfg_ent_disp_id and cdedetail.name = detail_name;
    	if ( counter = 0) then
   		  select cfg_display_entity_details_seq.nextval into detail_id from dual;
    
          insert into cfg_display_entity_details (id, cfg_display_entity, name, status)
   	 	  values (detail_id, cfg_ent_disp_id, detail_name, detail_status);
   	 	end if;
   	 	
   	end if;
   	
   	--- APPLICATION ENTITY SECTION
   	select count(1) into counter from cfg_display_entity cde where cde.name = 'APPLICATION';
    if ( counter = 1) then
    	select id into cfg_ent_disp_id from cfg_display_entity cde where cde.name = 'APPLICATION';
    	
    	detail_name  := 'NOT APPLICABLE';
   		detail_status := 1;
   		select count(1) into counter from cfg_display_entity_details cdedetail where cdedetail.cfg_display_entity = cfg_ent_disp_id and cdedetail.name = detail_name;
    	if ( counter = 0) then
   		  select cfg_display_entity_details_seq.nextval into detail_id from dual;
    
          insert into cfg_display_entity_details (id, cfg_display_entity, name, status)
   	 	  values (detail_id, cfg_ent_disp_id, detail_name, detail_status);
   	 	end if;
   	
   	 	
   	 	
   	end if;

end;
/
commit;