declare
  rq_id            numeric(16);
  rq_name          varchar2(256) := 'Audit. Query to audit table';
  rqd              clob;
  counter          numeric(16);
begin

 rqd := 'select 
'||'       t.id              as auditlog_id,
'||'       t.parent_id       as auditlog_parentid,
'||'       t.module          as auditlog_module,
'||'       t.submodule       as auditlog_submodule,
'||'       t.hash            as auditlog_hash,
'||'       t.signature       as auditlog_signature,
'||'       t.operator_code   as auditlog_operator_code,
'||'       t.operator_key    as auditlog_operator_key,
'||'       t.event_id        as auditlog_eventid,
'||'       t.event_desc      as auditlog_desc,
'||'       t.event_desc_long as auditlog_desc_long,
'||'       t.severity        as auditlog_severity,
'||'       t.cod_operation   as auditlog_cod_operation,
'||'       t.event_date      as auditlog_event_date,
'||'       t.event_millis    as auditlog_event_millis,
'||'       t.audit_date      as auditlog_date,
'||'       t.target_type     as auditlog_target_type,
'||'       t.target_key_id   as auditlog_target_keyid,
'||'       t.target_key_name as auditlog_target_keyname,
'||'       t.target_attr1    as auditlog_attr1,
'||'       t.target_attr2    as auditlog_attr2,
'||'       t.target_attr3    as auditlog_attr3,
'||'       t.target_attr4    as auditlog_attr4,
'||'       t.target_attr5    as auditlog_attr5,
'||'       t.obj1_type       as auditlog_obj1_type,
'||'       t.obj1_key_id     as auditlog_obj1_keyid,
'||'       t.obj1_key_name   as auditlog_obj1_keyname,
'||'       t.obj1_attr1      as auditlog_obj1_attr1,
'||'       t.obj1_attr2      as auditlog_obj1_attr2,
'||'       t.obj1_attr3      as auditlog_obj1_attr3,
'||'       t.obj1_attr4      as auditlog_obj1_attr4,
'||'       t.obj1_attr5      as auditlog_obj1_attr5,
'||'       t.obj2_type       as auditlog_obj2_type,
'||'       t.obj2_key_id     as auditlog_obj2_keyid,
'||'       t.obj2_key_name   as auditlog_obj2_keyname,
'||'       t.obj2_attr1      as auditlog_obj2_attr1,
'||'       t.obj2_attr2      as auditlog_obj2_attr2,
'||'       t.obj2_attr3      as auditlog_obj2_attr3,
'||'       t.obj2_attr4      as auditlog_obj2_attr4,
'||'       t.obj2_attr5      as auditlog_obj2_attr5,
'||'       t.data            as auditlog_data
'||'  from #servschema#.audit_log t
'||' where t.audit_date
'||'     between to_timestamp (''#START_DATE# '', ''#ideas_simpledate# hh24:mi:ss,ff6'')
'||'     and to_timestamp (''#END_DATE# '', ''#ideas_simpledate# hh24:mi:ss,ff6'')
';

  select count(1) into counter from r_query t where lower ( t.name ) = lower ( rq_name );
  
  if ( counter = 1 ) then
     select t.id into rq_id from r_query t where lower ( t.name ) = lower ( rq_name );
     
	 update r_query_data set query = rqd where r_query = rq_id;
  end if;
  
end;
/
commit;
