declare
  cfg_name      varchar2(128);
  cfg_value     varchar2(128);
  cfg_id        number(16);
  counter       number(16);

begin

  cfg_name := 'MAINTAIN_EMPTY_GROUP';
  cfg_value := '0';
  select count(1) into counter from configuration t where t.name = cfg_name;
  if ( counter = 0 ) then
    select configuration_seq.nextval into cfg_id from dual;
    insert into configuration ( id, name, value, description )
    values ( cfg_id, cfg_name, cfg_value,'Not modifiable from web interface' );
  end if;

end;
/
commit;
